package com.zm.order.tool.server.model;

import java.util.Map;

import com.alibaba.fastjson.JSON;

/**
 *
 * @author nianchang
 * @date 2021/08/17 10:47 上午
 */
public class InnerRefundDetail {

    /**
     * 主键
     */
    private Long id;

    /**
     * 支付类型
     */
    private Integer payType;

    /**
     * 退款金额
     */
    private Integer refundAmount;

    /**
     * 扩展信息 map
     */
    private Map<String, Object> extraMap;

    public Map<String, Object> getExtraMap() {
        return extraMap;
    }

    public void setExtraMap(Map<String, Object> extraMap) {
        this.extraMap = extraMap;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getPayType() {
        return payType;
    }

    public void setPayType(Integer payType) {
        this.payType = payType;
    }

    public Integer getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(Integer refundAmount) {
        this.refundAmount = refundAmount;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
